Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???  (gelezen 4344 keer)

Offline timosha

  • Lid
  • Steunpunt: Nee
Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Gepost op: 2010/02/05, 10:05:18 »
Na veel testen, debuggen en zoeken op het internet ben ik tot de conclusie gekomen dat alle zware bugs in mijn Ubuntu 10.04 test installatie te wijten zijn aan het feit dat de Intel 855GM grafische chipset niet in de 2.6.32-xx kernels ondersteund wordt.

Na een update gisteren kreeg ik tijdens het booten een DRM I915 render error. Het is nu ook duidelijk dat de suspend/hibernate problemen ook aan dit mankement te wijten zijn.

De Intel 855GM grafische chipset werd in 8.04 volledig ondersteund, in 9.10 bijna volledig (een paar kleine patches zijn nodig om het perfect te maken) en in 10.04 nu helemaal niet meer.

Gaat Ubuntu hier het slechte Vista voorbeeld volgen door alleen maar nieuwere hardware te ondersteunen? Ik hoop van niet want dat zou een katastrofe zijn voor zowel Ubuntu als de gebruikers. Ik ga er tot nader order van uit dat dit een tijdelijk alpha/beta verschijnsel is en later wordt opgelost. Maar deze regressie is verontrustend.

Deze problemen zijn oplosbaar door ofwel de kernels 2.6.31-xx van 9.10 te gebruiken of de Debian kernels. Maar dat is toch echt niet de bedoeling dacht ik.
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #1 Gepost op: 2010/02/05, 10:27:45 »
Het lijkt me niet dat Ubuntu die hardware niet meer zou ondersteunen. De Intel-drivers zijn open, dus zouden logischerwijs altijd mee kunnen en moeten lopen.

Er zijn wel een aantal bugs gerelateerd aan de 855GM:

"[i855] [i855GM] Lucid Freeze shortly after X startup on Intel i855"
https://bugs.launchpad.net/xserver-xorg-video-intel/+bug/511001
- Confirmed/incomplete

"xserver-xorg-video-intel does not work with 82852/855GM"
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/108056
- Fix Released

Offline timosha

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #2 Gepost op: 2010/02/05, 10:47:11 »
De patch voor die tweede bug werkt niet in de kernels 2.6.32-xx.

Ik ga er ook vanuit dat het allemaal opgelost wordt, maar het blijft verontrustend omdat het allemaal gewerkt heeft.
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #3 Gepost op: 2010/02/05, 10:58:09 »
Ik ben het met je eens, regressie-bugs zijn de ergste die er zijn. Maar zo lang ze gemeld worden (op Launchpad dan wel, in een forum zoals dit telt niet), ga ik er idd ook vanuit dat het allemaal goedkomt.

Offline timosha

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #4 Gepost op: 2010/02/05, 11:08:56 »
Ik ben vaste klant op Launchpad  ;) Ik tracht die bugs op dit forum te bespreken omdat de Nederlands/Vlaamse Ubuntu Community niet erg groot is en misschien niet alle bugs doorsijpelen naar Launchpad. Als er reacties komen die duidelijk op een specifieke "major bug" wijzen zet ik die op Launchpad erbij.

Maar er is ook goed nieuws. Vandaag is er een nieuwe kernel binnengekomen voor 9.10 met een betere ethernet jumboframe ondersteuning.

Ik ken de interne keuken van Ubuntu niet, maar soms heb ik het gevoel dat 9.10 en 10.04 parallel ontwikkeld wordt. Werk iets goed in 9.10 gaat het enige tijd later in 10.04. Voor alle zekerheid draai ik beide versies ook in VMware 7.0.1. Eerst kijken wat die updates in VMWare doen (gaat niet op voor alle hardware), is het goed dan gaat het op de test laptop.
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #5 Gepost op: 2010/02/05, 15:08:48 »
...dat alle zware bugs te wijten zijn aan het feit dat de Intel 855GM grafische chipset niet in de 2.6.32-xx kernels ondersteund wordt.
.......Gaat Ubuntu hier het slechte Vista voorbeeld volgen door alleen maar nieuwere hardware te ondersteunen?

Deze problemen zijn oplosbaar door ofwel de kernels 2.6.31-xx van 9.10 te gebruiken of de Debian kernels. Maar dat is toch echt niet de bedoeling dacht ik.
Zoals je al zegt ligt dit meer aan de kernel bouwers dan aan Ubuntu. Uiteraard is wel Ubuntu die ervoor kiest om een nieuwere kernel te gaan gebruiken...

Persoonlijk vind ik dit helemaal geen probleem. Als je zulke oude hardware gebruikt (Intel 855GM) vind ik het vrij logisch dat je niet altijd de nieuwste software kunt gebruiken. Dan kun je net zo goed kiezen voor een oudere LTS die waarschijnlijk prima draait.
Tevens is dit een probleem dat langzaam uitsterft :P.

MS houdt/hield denk ik wat meer rekening met dit soort dingen. Helaas is het voor hun dan ook een stuk lastiger om te innoveren.
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline timosha

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #6 Gepost op: 2010/02/05, 15:33:55 »

Persoonlijk vind ik dit helemaal geen probleem. Als je zulke oude hardware gebruikt (Intel 855GM) vind ik het vrij logisch dat je niet altijd de nieuwste software kunt gebruiken. Dan kun je net zo goed kiezen voor een oudere LTS die waarschijnlijk prima draait.
Tevens is dit een probleem dat langzaam uitsterft :P.


Het is maar hoe je het bekijkt. Windows 7 RC was nog maar net uit en Lenovo had al Windows 7 drivers klaar staan voor mijn 6 jaar oude Thinkpad R51. Dito twee jaar eerder voor Vista.Dus wat dat betreft hoefde ik niet naar een stokoude LTS gaan zoals Windows XP.

Ik heb altijd gedacht dat een van de voordelen van Linux was dat je niet het nieuwste van het nieuwste aan hardware moest hebben, maar dat het ook wel zal draaien op een oude computer. Blijkbaar heb ik weer eens verkeerd gedacht.

Komt wel goed met die oude Intel drivers.
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #7 Gepost op: 2010/02/05, 16:05:10 »
Eerst zei je
Gaat Ubuntu hier het slechte Vista voorbeeld volgen door alleen maar nieuwere hardware te ondersteunen?
En toen
Het is maar hoe je het bekijkt. Windows 7 RC was nog maar net uit en Lenovo had al Windows 7 drivers klaar staan voor mijn 6 jaar oude Thinkpad R51. Dito twee jaar eerder voor Vista.Dus wat dat betreft hoefde ik niet naar een stokoude LTS gaan zoals Windows XP.
Wat wil je nou? haha


Ik heb altijd gedacht dat een van de voordelen van Linux was dat je niet het nieuwste van het nieuwste aan hardware moest hebben, maar dat het ook wel zal draaien op een oude computer. Blijkbaar heb ik weer eens verkeerd gedacht.
Dat is ook wel zo hoor. Vooral is het zo dat ubuntu niet de nieuwste hardware VEREIST. Alleen is het nu dus zo dat het niet gelijk uit-de-doos werkt met jouw kaart. En je hebt niet verkeerd gedacht. Ik zou het pas verkeerd vinden als je mij nu in 1 keer gelooft en jij een andere mening hebt. Ik moest even aan dit interessante artikel denken :)


Komt wel goed met die oude Intel drivers.
Dat denk ik ook!
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline timosha

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #8 Gepost op: 2010/02/05, 17:43:34 »
Eerst zei je
Gaat Ubuntu hier het slechte Vista voorbeeld volgen door alleen maar nieuwere hardware te ondersteunen?
En toen
Het is maar hoe je het bekijkt. Windows 7 RC was nog maar net uit en Lenovo had al Windows 7 drivers klaar staan voor mijn 6 jaar oude Thinkpad R51. Dito twee jaar eerder voor Vista.Dus wat dat betreft hoefde ik niet naar een stokoude LTS gaan zoals Windows XP.
Wat wil je nou? haha


Haha, ik schreef dat Vista alleen maar nieuwe hardware ondersteunt. Maar ik schreef ook dat Lenovo de Vista drivers beschikbaar stelde. Ik kon dus mijn stokoude Thinkpad onder Vista gebruiken.

Maar het gaat niet om Vista. "Alles sal reg kom" zei Krüger.
« Laatst bewerkt op: 2010/02/05, 17:46:42 door timosha »
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


Offline Emil

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #9 Gepost op: 2010/02/05, 18:48:36 »
drivers zitten bij Linux gewoon in de kernel en aangezien Canoncial zelf geen code verandert aan de kernel heeft jouw probleem eigenlijk helemaal niets met hun te doen.
De kernel die nu in Ubuntu zit is helemaal geen alpha versie en het heeft dus waarschijnlijk helemaal niets met de alpha status van Ubuntu 10.04 te maken (nooit 100% zeker natuurlijk).

De intel drivers komen nu uit een 'moeilijke periode' (ums -> kms) en waarschijnlijk heeft het hier mee te maken dat jouw grafische kaart niet meer werkt. Ik denk dat het probleem dus wel opgelost gaat worden. (of dat voor de release van 10.04 gaat zijn weet ik natuurlijk ook niet)

Offline Sjoerd Broekhuijsen

  • Forumteam
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #10 Gepost op: 2010/02/05, 18:54:09 »
Dat het geen oudere hardware ondersteunt zou ik niet zeggen..
Mijn computer valt ook ander de categorie oud (zo heb ik nog DDR 333Mhz bankjes), het draait hier nog steeds fantastisch :)

Kan me ook niet voorstellen dat ze ineens ondersteuning voor ouder meuk zouden laten vallen, juist op oudere computers wordt (X)Ubuntu veel gebruikt.
Denk eraan dat het nog een Alpha is, Testversies zijn tot de dag dat ze officieel stable worden (vaak nog erna) onvoorspelbaar en vol bugs. Dat een testversie in dit stadium al zo goed draait is hier ook echt een uitzondering. (Vaak stapte ik over op de beta (ik heb weinig geduld wat betreft nieuwigheden), die leverden echt altijd veel meer problemen ;))
PC: Processor - AMD Athlon II X4 640 (quad core, 3.0GHz), 4GB DDR2 RAM 800MHz, Videokaart: ATI Sapphire HD4850 met 512MB geheugen, 500gb 7200RPM HDD, Ubuntu 12.04 LTS

Wat doe je als je vraag is opgelost?

Offline timosha

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #11 Gepost op: 2010/02/05, 19:09:50 »

De intel drivers komen nu uit een 'moeilijke periode' (ums -> kms) en waarschijnlijk heeft het hier mee te maken dat jouw grafische kaart niet meer werkt. Ik denk dat het probleem dus wel opgelost gaat worden. (of dat voor de release van 10.04 gaat zijn weet ik natuurlijk ook niet)

Het is een KMS probleem en alle I915 class Intel drivers zijn betroffen (en dat is niet alleen mijn oude chipset, maar een heleboel chipsets in ontelbare laptops). Maar een uurtje geleden is een kernel update binnengekomen die blijkbaar al een kleine patch aan boord heeft. Dus de Ubuntu Nkosi leest hier blijkbaar mee.

Maar, de facto is er helemaal geen probleem zolang de 2.6.31-xx kernels van Karmic gebruikt worden. Een oplossing is er dus.
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


Offline timosha

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #12 Gepost op: 2010/02/05, 20:11:26 »
Het is een bug in kernel 2.6.32-xx en alle Linux distributies die deze kernel gebruiken zoals Debian, Ubuntu, Fedora, OpenSuse, enz.. hebben dit probleem. De bug zal opgelost zijn in kernel 2.6.33-xx

Een kleine remedie tegen het "random freezing" is I915.powersave=0
De resume/suspend problemen zijn met deze workaround niet opgelost.

Dus het is dus niet de schuld van Ubuntuutje, maar dat werd al geschreven  :-[
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #13 Gepost op: 2010/02/05, 20:23:59 »
Tuurlijk zullen ze oudere hardware nog blijven ondersteunen. Bedenk wel dat Lucid pas bij Alpha 2 zit, dus het is nog volop in de testfase...

Offline timosha

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #14 Gepost op: 2010/02/05, 20:32:16 »
Tuurlijk zullen ze oudere hardware nog blijven ondersteunen. Bedenk wel dat Lucid pas bij Alpha 2 zit, dus het is nog volop in de testfase...

Maar die Lucid alpha die ik nu gebruik is zeer stabiel. Afgezien van dat Intel I915 probleem is er alleen maar een klein probleempje met Firefox 3.6.

En ze lopen hard bij Ubuntu ! Deze ochtend kwam er een nieuwe kernel en grub binnen, en deze avond nog een nieuwe kernel en grub.

En geloof mij, ik test alles (heb ook niets anders te doen). Als er iets kan crashen dan crashed het bij mij ook.
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


Offline ubuntu4life

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #15 Gepost op: 2010/03/05, 15:51:57 »
LTS zou toch juist meer hardware moeten ondersteunen? (Tenminste, proberen zo breed mogelijk publiek te ondersteunen.)

Offline Sjoerd Broekhuijsen

  • Forumteam
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #16 Gepost op: 2010/03/05, 16:08:31 »
Tot de dag dat hij uit is kan je hier weinig over zeggen..
Er zijn een aantal regressiebugs, spul dat eerder werkte werkt nu in de testversie niet meer..
Dit is echter altijd het geval bij testversies dus ik maak me hier eerlijk gezegd geen zorgen over ;)

Ik heb Ubuntu 10.04 hier overigens draaien op relatief oude hardware, gaat perfect.
PC: Processor - AMD Athlon II X4 640 (quad core, 3.0GHz), 4GB DDR2 RAM 800MHz, Videokaart: ATI Sapphire HD4850 met 512MB geheugen, 500gb 7200RPM HDD, Ubuntu 12.04 LTS

Wat doe je als je vraag is opgelost?

Offline Maik

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #17 Gepost op: 2010/03/05, 16:13:59 »
Het ligt denk ik niet zozeer aan Ubuntu dat bepaalde oudere hardware niet meer ondersteund wordt maar aan de Linux kernel zelf.

jesse2314

  • Gast
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #18 Gepost op: 2010/03/05, 20:35:32 »
Nou bij mij draait ubuntu 10.04 alpha 3 prima op mijn pentium 2.

Offline timosha

  • Lid
  • Steunpunt: Nee
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #19 Gepost op: 2010/03/05, 20:44:02 »
Ubuntu draait goed op alle processors vanaf de 80386, maar daar ging het hier niet over  ???
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


jesse2314

  • Gast
Re: Gaat Ubuntu 10.04 geen oudere hardware ondersteunen ???
« Reactie #20 Gepost op: 2010/03/06, 08:42:41 »
daar ging het hier niet over  ???

sorry foutje.